Bug 65951 - Upgraded Port: misc/firestring
Summary: Upgraded Port: misc/firestring
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-25 08:10 UTC by Dean Hollister
Modified: 2004-05-02 03:14 UTC (History)
0 users

See Also:


Attachments
file.diff (7.31 KB, patch)
2004-04-25 08:10 UTC, Dean Hollister
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Hollister 2004-04-25 08:10:17 UTC
Upgraded Port: misc/firestring

How-To-Repeat: 
The following is addressed in this patch:

	o	Upgraded to the latest release, 0.9.12

	o	FIXED the bug in the code that caused libraries to install in /usr/lib.
		A conditional in the firemake configure scripts was the culprit. 
		Please be sure to implement the patch files as submitted.

	o	Added a conditional to the Makefile to install GCC 3.2 if the version of 
		FreeBSD is 4.X or lower, as these tend to have GCC 2.95 as default. 
		Version 5.x and up already have GCC 3.x. This is required as C99
		functionality is required by this release onwards of the port. C99 is
		not supported in GCC 2.95 and earlier.

	o	The fire* ports now require BZip2 to decompress.
	
	o	Any other issues, please let me know.
Comment 1 dhollister 2004-04-25 14:30:29 UTC
At 00:10 25/04/2004 -0700, FreeBSD-gnats-submit@FreeBSD.org wrote:

>Thank you very much for your problem report.
>It has the internal identification `ports/65951'.
>The individual assigned to look at your
>report is: freebsd-ports-bugs.

Correction is required. Had and older cvs version on the system when 
performing the upgrade. Regenerated patch follows:

diff -ruN firestring.orig/Makefile firestring/Makefile
--- firestring.orig/Makefile    Sun Apr 25 16:37:42 2004
+++ firestring/Makefile Sun Apr 25 14:51:58 2004
@@ -2,66 +2,71 @@
  # Date created:                Mon 13 May 14:30:00 WST 2002
  # Whom:                        Dean Hollister <dean@odyssey.apana.org.au>
  #
-# $FreeBSD: ports/misc/firestring/Makefile,v 1.12 2004/04/19 07:48:45 kris 
Exp $
+# $FreeBSD: ports/misc/firestring/Makefile,v 1.11 2004/02/21 21:58:25 kris 
Exp $
  #

  PORTNAME=      firestring
-PORTVERSION=   0.9.9
+PORTVERSION=   0.9.12
  CATEGORIES=    misc net devel
-MASTER_SITES=  http://firestuff.org/projects/ \
+MASTER_SITES=  http://www.firestuff.org/projects/ \
                 http://www.wa.apana.org.au/~dean/sources/ \
                 ftp://ftp.wa.apana.org.au/pub/pc/unix/packages/

  MAINTAINER=    dean@odyssey.apana.org.au
  COMMENT=       A library to make string handling easier in C

-BROKEN=                "Installs libraries into /usr/lib"
-DEPRECATED=    ${BROKEN}
-EXPIRATION_DATE=2004-06-18
-
+USE_BZIP2=     yes
  HAS_CONFIGURE= yes
-CONFIGURE_ENV= PREFIX="${PREFIX}"
  INSTALLS_SHLIB=        yes

+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 500000
+USE_GCC=       3.2
+.else
+USE_GCC=       yes
+.endif
+
  WRKSRC=                ${WRKDIR}/${PORTNAME}

-MAN3=          firestring_chomp.3 firestring_chug.3 \
-               firestring_concat.3 firestring_conf_add.3 \
-               firestring_conf_delete.3 firestring_conf_find.3 \
-               firestring_conf_find_next.3 firestring_conf_free.3 \
-               firestring_conf_parse.3 firestring_conf_parse_next.3 \
-               firestring_estr_0.3 firestring_estr_aestrcat.3 \
-               firestring_estr_aestrcpy.3 firestring_estr_alloc.3 \
-               firestring_estr_areplace.3 firestring_estr_astrcat.3 \
-               firestring_estr_astrcpy.3 \
-               firestring_estr_base64_decode.3 \
-               firestring_estr_base64_encode.3 firestring_estr_chomp.3 \
-               firestring_estr_chug.3 firestring_estr_ends.3 \
-               firestring_estr_estrcasecmp.3 firestring_estr_estrcat.3 \
-               firestring_estr_estrcmp.3 firestring_estr_estrcpy.3 \
-               firestring_estr_estristr.3 \
+MAN3=          firestring_chomp.3 firestring_chug.3 firestring_concat.3 \
+               firestring_conf_add.3 firestring_conf_delete.3 \
+               firestring_conf_find.3 firestring_conf_find_next.3 \
+               firestring_conf_free.3 firestring_conf_parse.3 \
+               firestring_conf_parse_next.3 firestring_estr_0.3 \
+               firestring_estr_aestrcat.3 firestring_estr_aestrcpy.3 \
+               firestring_estr_alloc.3 firestring_estr_areplace.3 \
+               firestring_estr_astrcat.3 firestring_estr_astrcpy.3 \
+               firestring_estr_base64_decode.3 
firestring_estr_base64_encode.3 \
+               firestring_estr_chomp.3 firestring_estr_chug.3 \
+               firestring_estr_eends.3  firestring_estr_ends.3 \
+               firestring_estr_estarts.3 firestring_estr_estrcasecmp.3 \
+               firestring_estr_estrcat.3  firestring_estr_estrcmp.3 \
+               firestring_estr_estrcpy.3 firestring_estr_estristr.3 \
                 firestring_estr_estrncasecmp.3 firestring_estr_estrstr.3 \
                 firestring_estr_expand.3 firestring_estr_free.3 \
                 firestring_estr_ip_chug.3 firestring_estr_ip_trim.3 \
                 firestring_estr_munch.3 firestring_estr_read.3 \
                 firestring_estr_replace.3 firestring_estr_sprintf.3 \
-               firestring_estr_starts.3 firestring_estr_strcasecmp.3 \
-               firestring_estr_strcat.3 firestring_estr_strchr.3 \
-               firestring_estr_strcmp.3 firestring_estr_strcpy.3 \
-               firestring_estr_stristr.3 firestring_estr_strstr.3 \
-               firestring_estr_tolower.3 firestring_estr_toupper.3 \
-               firestring_estr_trim.3 firestring_estr_vsprintf.3 \
-               firestring_estr_xml_decode.3 \
-               firestring_estr_xml_encode.3 firestring_fprintf.3 \
-               firestring_hextoi.3 firestring_malloc.3 \
-               firestring_printf.3 firestring_realloc.3 \
+               firestring_estr_sprintfe.3 firestring_estr_starts.3 \
+               firestring_estr_strcasecmp.3 firestring_estr_strcat.3 \
+               firestring_estr_strchr.3 firestring_estr_strcmp.3 \
+               firestring_estr_strcpy.3 firestring_estr_stristr.3 \
+               firestring_estr_strstr.3 firestring_estr_tolower.3 \
+               firestring_estr_toupper.3 firestring_estr_trim.3 \
+               firestring_estr_vsprintf.3 firestring_estr_vsprintfe.3 \
+               firestring_estr_xml_decode.3 firestring_estr_xml_encode.3 \
+               firestring_fprintf.3 firestring_fprintfe.3 \
+               firestring_hextoi.3 firestring_malloc.3 firestring_printf.3 \
+               firestring_printfe.3 firestring_realloc.3 \
                 firestring_set_error_handler.3 firestring_snprintf.3 \
                 firestring_strcasecmp.3 firestring_strdup.3 \
                 firestring_strncasecmp.3 firestring_strncat.3 \
                 firestring_strncpy.3 firestring_trim.3 \
-               firestring_vfprintf.3 libfirestring.3
+               firestring_vfprintf.3 firestring_vfprintfe.3 \
+               libfirestring.3

  pre-configure:
         @-${RM} ${WRKSRC}/firemake/*.orig

-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff -ruN firestring.orig/distinfo firestring/distinfo
--- firestring.orig/distinfo    Sun Feb  1 10:13:47 2004
+++ firestring/distinfo Sun Apr 25 09:21:47 2004
@@ -1,2 +1,2 @@
-MD5 (firestring-0.9.9.tar.gz) = daaf1f1f504a85afc508e21bc53d4e9a
-SIZE (firestring-0.9.9.tar.gz) = 34196
+MD5 (firestring-0.9.12.tar.bz2) = f64e658a07894ed86ce899a4469c523a
+SIZE (firestring-0.9.12.tar.bz2) = 30735
diff -ruN firestring.orig/files/patch-firemake_libraries 
firestring/files/patch-firemake_libraries
--- firestring.orig/files/patch-firemake_libraries      Thu Jan  1 08:00:00 
1970
+++ firestring/files/patch-firemake_libraries   Sun Apr 25 14:50:07 2004
@@ -0,0 +1,11 @@
+--- firemake/libraries.orig    Tue Jan 27 02:20:13 2004
++++ firemake/libraries Tue Jan 27 02:20:35 2004
+@@ -100,7 +100,7 @@ case $PHASE in
+                       dispn " $LIBRARY..."
+                       $ECHO " $INSTALL ${LIBRARY}.a \$(LIBDIR) 
$INSTALL_USER $INSTALL_GROUP 0755"
+                       $ECHO " $INSTALL ${LIBRARY}.so.$VERSION \$(LIBDIR) 
$INSTALL_USER $INSTALL_GROUP 0755"
+-                      $ECHO " ln -sf ${LIBRARY}.so.$VERSION 
\$(LIBDIR)/${LIBRARY}.so.$VERSION2"
++                      $ECHO " ln -sf ${LIBRARY}.so.$VERSION 
\$(LIBDIR)/${LIBRARY}.so.0"
+                       $ECHO " ln -sf ${LIBRARY}.so.$VERSION 
\$(LIBDIR)/${LIBRARY}.so"
+                       disp "done"
+               done
diff -ruN firestring.orig/files/patch-firemake_makefiletop 
firestring/files/patch-firemake_makefiletop
--- firestring.orig/files/patch-firemake_makefiletop    Thu Jan  1 08:00:00 
1970
+++ firestring/files/patch-firemake_makefiletop Sun Apr 25 11:41:25 2004
@@ -0,0 +1,11 @@
+--- firemake/makefiletop.orig  Sun Apr 25 11:39:08 2004
++++ firemake/makefiletop       Sun Apr 25 11:38:45 2004
+@@ -3,7 +3,7 @@
+ #require make
+ #phase makefile
+ dispn "Writing Makefile top entries..."
+-if test "$MAKE_CONDSET" = "y"; then
++if test "$MAKE_CONDSET" = "never"; then
+       $ECHO "PREFIX ?= $FM_PREFIX"
+
+       if test "$FM_MANDIRSTRICT" = "y"; then
diff -ruN firestring.orig/pkg-descr firestring/pkg-descr
--- firestring.orig/pkg-descr   Sun Feb  1 10:13:47 2004
+++ firestring/pkg-descr        Sun Apr 25 14:43:31 2004
@@ -6,15 +6,14 @@
  programmers to write ANSI C-compliant code while using such
  safe functions (strcasecmp, strncasecmp, snprintf).

-libfirestring provides a set of functions for dealing with
-EStrings.  EStrings are binary-safe objects that, when used
-with the firestring functions, are overflow safe, because
-they include allocated memory size information with them.
-
  libfirestring also includes functions for dealing with
  reading configuration files in an easy to program fashion.

-WWW:   http://firestuff.org/
+This library uses long long, which is part of the C99 standard
+(previously a GNU extension).  Your compiler needs to support
+this in order for FireString to work.
+
+WWW: http://www.firestuff.org/

  - Dean
  dean@odyssey.apana.org.au
diff -ruN firestring.orig/pkg-plist firestring/pkg-plist
--- firestring.orig/pkg-plist   Sun Feb  1 10:13:47 2004
+++ firestring/pkg-plist        Sun Apr 25 14:41:20 2004
@@ -1,6 +1,6 @@
  @comment $FreeBSD: ports/misc/firestring/pkg-plist,v 1.4 2004/01/31 
23:13:01 sergei Exp $
-include/firestring.h
  lib/libfirestring.a
-lib/libfirestring.so
+lib/libfirestring.so.0.9.12
  lib/libfirestring.so.0
-lib/libfirestring.so.0.9.9
+lib/libfirestring.so
+include/firestring.h
Comment 2 Dean Hollister 2004-04-25 15:17:46 UTC
At 00:10 25/04/2004 -0700, you wrote:

> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       Upgraded Port: misc/firestring
> >Arrival-Date:   Sun Apr 25 00:10:17 PDT 2004

Forgot to CVSUP the latest copy of the port before running diff. Attached 
is the correct diff.

Regards,

d.

diff -ruN firestring.orig/Makefile firestring/Makefile
--- firestring.orig/Makefile    Sun Apr 25 16:37:42 2004
+++ firestring/Makefile Sun Apr 25 14:51:58 2004
@@ -2,66 +2,71 @@
  # Date created:                Mon 13 May 14:30:00 WST 2002
  # Whom:                        Dean Hollister <dean@odyssey.apana.org.au>
  #
-# $FreeBSD: ports/misc/firestring/Makefile,v 1.12 2004/04/19 07:48:45 kris 
Exp $
+# $FreeBSD: ports/misc/firestring/Makefile,v 1.11 2004/02/21 21:58:25 kris 
Exp $
  #

  PORTNAME=      firestring
-PORTVERSION=   0.9.9
+PORTVERSION=   0.9.12
  CATEGORIES=    misc net devel
-MASTER_SITES=  http://firestuff.org/projects/ \
+MASTER_SITES=  http://www.firestuff.org/projects/ \
                 http://www.wa.apana.org.au/~dean/sources/ \
                 ftp://ftp.wa.apana.org.au/pub/pc/unix/packages/

  MAINTAINER=    dean@odyssey.apana.org.au
  COMMENT=       A library to make string handling easier in C

-BROKEN=                "Installs libraries into /usr/lib"
-DEPRECATED=    ${BROKEN}
-EXPIRATION_DATE=2004-06-18
-
+USE_BZIP2=     yes
  HAS_CONFIGURE= yes
-CONFIGURE_ENV= PREFIX="${PREFIX}"
  INSTALLS_SHLIB=        yes

+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 500000
+USE_GCC=       3.2
+.else
+USE_GCC=       yes
+.endif
+
  WRKSRC=                ${WRKDIR}/${PORTNAME}

-MAN3=          firestring_chomp.3 firestring_chug.3 \
-               firestring_concat.3 firestring_conf_add.3 \
-               firestring_conf_delete.3 firestring_conf_find.3 \
-               firestring_conf_find_next.3 firestring_conf_free.3 \
-               firestring_conf_parse.3 firestring_conf_parse_next.3 \
-               firestring_estr_0.3 firestring_estr_aestrcat.3 \
-               firestring_estr_aestrcpy.3 firestring_estr_alloc.3 \
-               firestring_estr_areplace.3 firestring_estr_astrcat.3 \
-               firestring_estr_astrcpy.3 \
-               firestring_estr_base64_decode.3 \
-               firestring_estr_base64_encode.3 firestring_estr_chomp.3 \
-               firestring_estr_chug.3 firestring_estr_ends.3 \
-               firestring_estr_estrcasecmp.3 firestring_estr_estrcat.3 \
-               firestring_estr_estrcmp.3 firestring_estr_estrcpy.3 \
-               firestring_estr_estristr.3 \
+MAN3=          firestring_chomp.3 firestring_chug.3 firestring_concat.3 \
+               firestring_conf_add.3 firestring_conf_delete.3 \
+               firestring_conf_find.3 firestring_conf_find_next.3 \
+               firestring_conf_free.3 firestring_conf_parse.3 \
+               firestring_conf_parse_next.3 firestring_estr_0.3 \
+               firestring_estr_aestrcat.3 firestring_estr_aestrcpy.3 \
+               firestring_estr_alloc.3 firestring_estr_areplace.3 \
+               firestring_estr_astrcat.3 firestring_estr_astrcpy.3 \
+               firestring_estr_base64_decode.3 
firestring_estr_base64_encode.3 \
+               firestring_estr_chomp.3 firestring_estr_chug.3 \
+               firestring_estr_eends.3  firestring_estr_ends.3 \
+               firestring_estr_estarts.3 firestring_estr_estrcasecmp.3 \
+               firestring_estr_estrcat.3  firestring_estr_estrcmp.3 \
+               firestring_estr_estrcpy.3 firestring_estr_estristr.3 \
                 firestring_estr_estrncasecmp.3 firestring_estr_estrstr.3 \
                 firestring_estr_expand.3 firestring_estr_free.3 \
                 firestring_estr_ip_chug.3 firestring_estr_ip_trim.3 \
                 firestring_estr_munch.3 firestring_estr_read.3 \
                 firestring_estr_replace.3 firestring_estr_sprintf.3 \
-               firestring_estr_starts.3 firestring_estr_strcasecmp.3 \
-               firestring_estr_strcat.3 firestring_estr_strchr.3 \
-               firestring_estr_strcmp.3 firestring_estr_strcpy.3 \
-               firestring_estr_stristr.3 firestring_estr_strstr.3 \
-               firestring_estr_tolower.3 firestring_estr_toupper.3 \
-               firestring_estr_trim.3 firestring_estr_vsprintf.3 \
-               firestring_estr_xml_decode.3 \
-               firestring_estr_xml_encode.3 firestring_fprintf.3 \
-               firestring_hextoi.3 firestring_malloc.3 \
-               firestring_printf.3 firestring_realloc.3 \
+               firestring_estr_sprintfe.3 firestring_estr_starts.3 \
+               firestring_estr_strcasecmp.3 firestring_estr_strcat.3 \
+               firestring_estr_strchr.3 firestring_estr_strcmp.3 \
+               firestring_estr_strcpy.3 firestring_estr_stristr.3 \
+               firestring_estr_strstr.3 firestring_estr_tolower.3 \
+               firestring_estr_toupper.3 firestring_estr_trim.3 \
+               firestring_estr_vsprintf.3 firestring_estr_vsprintfe.3 \
+               firestring_estr_xml_decode.3 firestring_estr_xml_encode.3 \
+               firestring_fprintf.3 firestring_fprintfe.3 \
+               firestring_hextoi.3 firestring_malloc.3 firestring_printf.3 \
+               firestring_printfe.3 firestring_realloc.3 \
                 firestring_set_error_handler.3 firestring_snprintf.3 \
                 firestring_strcasecmp.3 firestring_strdup.3 \
                 firestring_strncasecmp.3 firestring_strncat.3 \
                 firestring_strncpy.3 firestring_trim.3 \
-               firestring_vfprintf.3 libfirestring.3
+               firestring_vfprintf.3 firestring_vfprintfe.3 \
+               libfirestring.3

  pre-configure:
         @-${RM} ${WRKSRC}/firemake/*.orig

-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff -ruN firestring.orig/distinfo firestring/distinfo
--- firestring.orig/distinfo    Sun Feb  1 10:13:47 2004
+++ firestring/distinfo Sun Apr 25 09:21:47 2004
@@ -1,2 +1,2 @@
-MD5 (firestring-0.9.9.tar.gz) = daaf1f1f504a85afc508e21bc53d4e9a
-SIZE (firestring-0.9.9.tar.gz) = 34196
+MD5 (firestring-0.9.12.tar.bz2) = f64e658a07894ed86ce899a4469c523a
+SIZE (firestring-0.9.12.tar.bz2) = 30735
diff -ruN firestring.orig/files/patch-firemake_libraries 
firestring/files/patch-firemake_libraries
--- firestring.orig/files/patch-firemake_libraries      Thu Jan  1 08:00:00 
1970
+++ firestring/files/patch-firemake_libraries   Sun Apr 25 14:50:07 2004
@@ -0,0 +1,11 @@
+--- firemake/libraries.orig    Tue Jan 27 02:20:13 2004
++++ firemake/libraries Tue Jan 27 02:20:35 2004
+@@ -100,7 +100,7 @@ case $PHASE in
+                       dispn " $LIBRARY..."
+                       $ECHO " $INSTALL ${LIBRARY}.a \$(LIBDIR) 
$INSTALL_USER $INSTALL_GROUP 0755"
+                       $ECHO " $INSTALL ${LIBRARY}.so.$VERSION \$(LIBDIR) 
$INSTALL_USER $INSTALL_GROUP 0755"
+-                      $ECHO " ln -sf ${LIBRARY}.so.$VERSION 
\$(LIBDIR)/${LIBRARY}.so.$VERSION2"
++                      $ECHO " ln -sf ${LIBRARY}.so.$VERSION 
\$(LIBDIR)/${LIBRARY}.so.0"
+                       $ECHO " ln -sf ${LIBRARY}.so.$VERSION 
\$(LIBDIR)/${LIBRARY}.so"
+                       disp "done"
+               done
diff -ruN firestring.orig/files/patch-firemake_makefiletop 
firestring/files/patch-firemake_makefiletop
--- firestring.orig/files/patch-firemake_makefiletop    Thu Jan  1 08:00:00 
1970
+++ firestring/files/patch-firemake_makefiletop Sun Apr 25 11:41:25 2004
@@ -0,0 +1,11 @@
+--- firemake/makefiletop.orig  Sun Apr 25 11:39:08 2004
++++ firemake/makefiletop       Sun Apr 25 11:38:45 2004
+@@ -3,7 +3,7 @@
+ #require make
+ #phase makefile
+ dispn "Writing Makefile top entries..."
+-if test "$MAKE_CONDSET" = "y"; then
++if test "$MAKE_CONDSET" = "never"; then
+       $ECHO "PREFIX ?= $FM_PREFIX"
+
+       if test "$FM_MANDIRSTRICT" = "y"; then
diff -ruN firestring.orig/pkg-descr firestring/pkg-descr
--- firestring.orig/pkg-descr   Sun Feb  1 10:13:47 2004
+++ firestring/pkg-descr        Sun Apr 25 14:43:31 2004
@@ -6,15 +6,14 @@
  programmers to write ANSI C-compliant code while using such
  safe functions (strcasecmp, strncasecmp, snprintf).

-libfirestring provides a set of functions for dealing with
-EStrings.  EStrings are binary-safe objects that, when used
-with the firestring functions, are overflow safe, because
-they include allocated memory size information with them.
-
  libfirestring also includes functions for dealing with
  reading configuration files in an easy to program fashion.

-WWW:   http://firestuff.org/
+This library uses long long, which is part of the C99 standard
+(previously a GNU extension).  Your compiler needs to support
+this in order for FireString to work.
+
+WWW: http://www.firestuff.org/

  - Dean
  dean@odyssey.apana.org.au
diff -ruN firestring.orig/pkg-plist firestring/pkg-plist
--- firestring.orig/pkg-plist   Sun Feb  1 10:13:47 2004
+++ firestring/pkg-plist        Sun Apr 25 14:41:20 2004
@@ -1,6 +1,6 @@
  @comment $FreeBSD: ports/misc/firestring/pkg-plist,v 1.4 2004/01/31 
23:13:01 sergei Exp $
-include/firestring.h
  lib/libfirestring.a
-lib/libfirestring.so
+lib/libfirestring.so.0.9.12
  lib/libfirestring.so.0
-lib/libfirestring.so.0.9.9
+lib/libfirestring.so
+include/firestring.h
Comment 3 Dean Hollister 2004-04-25 15:29:58 UTC
Sorry for sending the revised patch twice, both resends are identical.

Been a long day and I'm tired. :)

Regards,

d.
Comment 4 Pete Fritchman freebsd_committer 2004-05-02 03:13:49 UTC
State Changed
From-To: open->closed

Committed, thanks.  A minor change: I kept pkg-plist sorted.